Bug 38585 - [XVS.iOS 4.0] Enterprise "In House" provisioning profiles do not appear in the drop-down menu in the iOS project settings editor
Summary: [XVS.iOS 4.0] Enterprise "In House" provisioning profiles do not appear in th...
Status: RESOLVED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.0.0 (C6)
Hardware: PC Windows
: --- normal
Target Milestone: 4.1.0 (C7)
Assignee: Bugzilla
URL:
Depends on: 36117
Blocks:
  Show dependency tree
 
Reported: 2016-02-09 18:00 UTC by Brendan Zagaeski (Xamarin Team, assistant)
Modified: 2016-02-26 22:33 UTC (History)
4 users (show)

Tags: BZRC6S1_C5SR5S1
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Brendan Zagaeski (Xamarin Team, assistant) 2016-02-09 18:00:31 UTC
[XVS.iOS 4.0] Enterprise "In House" provisioning profiles do not appear in the drop-down menu in the iOS project settings editor

This problem only affects Visual Studio. Xamarin Studio on Mac displays these provisioning profiles correctly.




## Temporary workaround

As with Bug 36117, it is possible to work around this issue temporarily by setting the provisioning profile by hand in the `.csproj` file. (See Bug 36117, Comment 0 for a few more details.)




## Regression status: regression in Cycle 6

### Cycle 6 SR 1
BAD:  XamarinVS 4.0.1.93   (c7ebc0f) + Xamarin.iOS 9.4.1.25 (962a050)
(GOOD: Xamarin Studio 5.10.2 (build 56) on Mac)

### Cycle 6, iOS 9.2
BAD:  XamarinVS 4.0.0.1717 (1390b70) + Xamarin.iOS 9.4.0.0  (7322991)

### Cycle 6
BAD:  XamarinVS 4.0.0.1689 (f860fe4) + Xamarin.iOS 9.2.1.51 (3c0ec35)

### Cycle 5 SR 5
GOOD: XamarinVS 3.11.1594  (a06d6d5) + Xamarin.iOS 9.1.0.27 (1f068b4)




## Steps to replicate


1. Install an "In House" provisioning profile. The defining feature of this kind of profile is that it contains:

> <key>ProvisionsAllDevices</key>

... and does _not_ contain:

> <key>ProvisionedDevices</key>


2. Ensure that the bundle identifier of your iOS app matches the provisioning profile.


3. Ensure Visual Studio is paired with the Mac build host.


4. Open "Project Properties -> iOS Bundle Signing" and try to find the In House provisioning profile.




## Results

The In House provisioning profile is not displayed in the drop-down menu.
Comment 6 xamarin-release-manager 2016-02-17 22:04:39 UTC
Fixed in version 99.0.0.1552 (master)

Author: Juan Marcelo Tondato
Commit: ca1582b4dd700ea63bb377717be001c007acaaa6 (xamarin/XamarinVS)
Comment 7 xamarin-release-manager 2016-02-26 22:33:01 UTC
Fixed in version 4.0.1.137 (cycle6)

Author: Jose Gallardo
Commit: ed3b4da32f3610692e7d93d023bd7594e975f279 (xamarin/XamarinVS)